Retrieve all plans.
cURL
curl --request GET \ --url https://api.monk.com/v1/plans \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "name": "<string>", "description": "<string>", "currency": "<string>", "netTerms": "<string>", "externalId": "<string>", "metadata": { "defaultAutoPayEnabled": true, "invoiceSendMethod": "<string>", "defaultCreditSettings": { "onDepletion": "<string>" }, "defaultCreditGrantCents": 123 }, "items": [ { "id": "<string>", "pricingId": "<string>", "productId": "<string>", "productName": "<string>", "pricingName": "<string>", "pricingModel": "<string>", "billingMode": "<string>", "defaultQuantity": "<string>", "isMetered": true } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] }
Documentation IndexFetch the complete documentation index at: https://docs.monk.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.monk.com/llms.txt
Use this file to discover all available pages before exploring further.
plans:read
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
active
draft
archived
all
Plan list
Show child attributes